Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.gui
Class EnumerationWindow

    java.lang.Object
      semorg.gui.EnumerationWindow

    public class EnumerationWindow

extends Object

Provides a window to manage the enumerations such as salutations or titles.

Field Summary
`private org.eclipse.swt.widgets.Shell` | `shell` The window itself.
`private org.eclipse.swt.widgets.List` | `typeList` The list containing all type of enumerations.
`private org.eclipse.jface.viewers.ListViewer` | `valueListViewer` The list containing all values of a specific enumeration type (e.g.

Constructor Summary
`EnumerationWindow(org.eclipse.swt.widgets.Shell parent)` Creats a new `EnumerationWindow` instance using the given parameters.

Method Summary
`protected void` | `onDelete(Enumeration value)` This method is called if a value of a `Enumeration` type should be deleted.
`protected void` | `onEdit(Enumeration value)` This method gets invoked to change the value of an existing `Enumeration`.
`protected void` | `onNew()` This method gets invoked for creating a new `Enumeration`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shell

    private org.eclipse.swt.widgets.Shell shell

  The window itself.

### typeList

    private org.eclipse.swt.widgets.List typeList

  The list containing all type of enumerations.

### valueListViewer

    private org.eclipse.jface.viewers.ListViewer valueListViewer

  The list containing all values of a specific enumeration type (e.g. salutation).

Constructor Detail

### EnumerationWindow

    public EnumerationWindow(org.eclipse.swt.widgets.Shell parent)

  Creats a new `EnumerationWindow` instance using the given parameters.

  Parameters:
    `parent` - the parent shell of the `EnumerationWindow` instance

Method Detail

### onDelete

    protected void onDelete(Enumeration value)

  This method is called if a value of a `Enumeration` type should be deleted. It also creates a dialog to confirm the deleting.

  Parameters:
    `value` - the value to delete

### onNew

    protected void onNew()

  This method gets invoked for creating a new `Enumeration`. If an error occurs a error dialog is created to inform the user.

### onEdit

    protected void onEdit(Enumeration value)

  This method gets invoked to change the value of an existing `Enumeration`.

  Parameters:
    `value` - the `Enumeration` to change.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD